Show / Hide Table of Contents

# Class SeString

##### Inheritance

System.Object
SeString

##### Inherited Members

System.Object.ToString()
System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()

###### Namespace: Dalamud.Game.Chat

###### Assembly: Dalamud.dll

##### Syntax

    public class SeString

### Methods

#### GetInteger(BinaryReader)

##### Declaration

    protected static int GetInteger(BinaryReader input)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IO.BinaryReader | input |

##### Returns

Type | Description
--- | ---
System.Int32 |

#### GetInteger(BinaryReader, SeString.IntegerType)

##### Declaration

    protected static int GetInteger(BinaryReader input, SeString.IntegerType type)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IO.BinaryReader | input |
SeString.IntegerType | type |

##### Returns

Type | Description
--- | ---
System.Int32 |

#### Parse(String)

##### Declaration

    public static (string Output, List<SeString.SeStringPayloadContainer> Payloads)Parse(string input)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | input |

##### Returns

Type | Description
--- | ---
System.ValueTuple<System.String, System.Collections.Generic.List<SeString.SeStringPayloadContainer>> |